Subject: Ticket Assigned - Feedback or suggestions
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 04 Oct 2021 09:49:38 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I want to raise a complaint.

 I visited Dubai Mall brand on 16th September which was 18 days ago regarding a concern I had with 2 identical design dresses different patterns I purchased to go on vacation which I wore once on my trip, then when I returned I realized one had 1 hole in and the other had 2 holes in.

I bought the items in Mall of Emirates and returned the items to Dubai Mall as this was more convenient for me,  yet challenged by the store team when I returned - 'why come to Dubai Mall and not Mall of Emirates?' - This is completely irrelevant and not her problem which mall I visit, Dubai Mall was convenient as I work close by, which was already a struggle to call in for the return as I was super busy with family and work life. No empathy from the staff for the fact I had 2 x damaged items. 

The complete lack of logic.  I could not return the items because it wad beyond 30 days and why I didn't return them before 30 days?  Maybe because I had been on vacation, retuned them when I had a convenient time to visit the mall at the soonest available moment. 

 I am very surprised to hear any retailer I work in Luxury retail myself for over 8 years in the UAE if an item is damaged and 2 identical items have the same issue there is clearly a quality issue - this doesn't take a genius to figure it out and to have a policy to say after 30 days you can not get a refund after 30 days is crazy - its not like it was 6 months! Only damages within 30 days can be returned - maybe this is your policy but I had been on vacation for 2 weeks within that 30 days. 

The lady is sending the items off to the warehouse / factory for a quality test and said it may take time but to have heard NOTHING for almost 3 weeks is an appalling customer experience - even if I was given an update throughout. 

I would appreciate an update on my case asap -  I dealt with a female 'Manager' I left the store very upset as she made me out that it was my fault - I didn't want an exchange as the item is clearly faulty I just wanted a refund for the 2 items.

She has my items and the receipt so please can I request a call immediately with an update and preferable a refund of the 220AED into my account as this should not be taking this long. 

Many thanks 

Louise Hampton https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3182287